Card Balance Accounts
Get card balance account
Returns a card balance account by ID, including balance details
GET
/
v1
/
card-balance-accounts
/
{accountId}
Get card balance account
curl --request GET \
--url https://api.light.inc/v1/card-balance-accounts/{accountId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.light.inc/v1/card-balance-accounts/{accountId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.light.inc/v1/card-balance-accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"label": "<string>",
"status": "ACTIVE",
"balance": {
"available": 123,
"settled": 123,
"reserved": 123,
"currency": "USD"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"primary": true
}Authorizations
apiKeyAuthbearerAuth
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
Path Parameters
Response
default - application/json;charset=UTF-8
default response
List of records for the current page
Example:
"USD"
⚠️ This enum is not exhaustive; new values may be added in the future.
Available options:
ACTIVE, CLOSED Show child attributes
Show child attributes
⌘I
Get card balance account
